Linux Virtual Delivery Agent

システム要件

Linuxディストリビューション

注:

このトピックで説明されていないシステム要件コンポーネント(Citrix Workspaceアプリなど)については、各コンポーネントのドキュメントを参照してください。

CU3リリース以降、前提条件としてLinux VDAをインストールする前に.NET Coreランタイム3.1をインストールします。詳しくは、「https://docs.microsoft.com/en-us/dotnet/core/install/linux-package-managers」を参照してください。

長期サービスリリース(LTSR)環境での最新リリース(CR)の使用について、およびその他のよくある質問については、Citrix Knowledge Centerの記事を参照してください。

Linux VDAでは、次のLinuxディストリビューションがサポートされています:

重要:

Citrix社のLinux OSのプラットフォームおよびバージョンのサポートは、OSベンダーのサポートの期限が切れた時点で終了します。

  • SUSE Linux Enterprise
    • Desktop 12 Service Pack 3
    • Server 12 Service Pack 3
  • Red Hat Enterprise Linux
    • Workstation 7.7
    • Workstation 6.10
    • Server 7.7
    • Server 6.10
  • CentOS Linux
    • CentOS 7.7
    • CentOS 6.10
  • Ubuntu Linux
    • Ubuntu Desktop 18.04
    • Ubuntu Server 18.04
    • Ubuntu Live Server 18.04
    • Ubuntu Desktop 16.04
    • Ubuntu Server 16.04
  • Pardus Linux
    • Pardus 17(サポートされる機能範囲について詳しくは、Knowledge Center記事CTX238492を参照してください)。

このバージョンのLinux VDAがサポートするLinuxディストリビューションとXorgのバージョンについては、次の表を参照してください。詳しくは、「XorgModuleABIVersions」を参照してください。

Linuxディストリビューション Xorgバージョン
RHEL 7.7、CentOS 7.7 1.20
RHEL 6.10、CentOS 6.10 1.17
Ubuntu 18.04 1.19
Ubuntu 16.04 1.18
SUSE 12.3 1.18
Pardus 17 1.19

Ubuntu 16.04でHWE Xorg server 1.19を使用しないでください。

すべての場合で、サポートされるプロセッサアーキテクチャはx86-64です。

注:

  • Linux VDA 1912 LTSR累積更新プログラム2(CU2)をCentOS 7.4にインストールし、Citrix Virtual Apps and Desktopsサービスで使用する場合は、VDAの前に次のコンポーネントをインストールしてください:

    • Xorg 1.20.4
    • SELinuxポリシー3.13.1-268
    • .NET Coreランタイム2.1
    • GNOME 3.28.3以降
  • GnomeおよびKDEデスクトップは、SUSE、RHEL、CentOSでサポートされています。Unityデスクトップは、Ubuntu 16.04でサポートされます。Gnomeデスクトップは、Ubuntu 18.04でサポートされます。1つまたは複数のデスクトップをインストールする必要があります。

Citrix Virtual Desktops

Linux VDAは、現在サポートされているすべてのCitrix Virtual Desktopsのバージョンと互換性があります。Citrix Virtual Desktops製品のライフサイクル、および製品のバージョンごとのサポートが停止される時期について詳しくは、シトリックス製品マトリックスを参照してください。

Linux VDAの構成手順は、Windows VDAと多少異なります。ただし、Delivery ControllerファームはWindowsデスクトップとLinuxデスクトップを両方とも仲介できます。

サポートされるホストプラットフォームおよび仮想化環境

  • ベアメタルサーバー
  • Citrix Hypervisor
  • VMware ESXおよびESXi
  • Microsoft Hyper-V
  • Nutanix AHV
  • Microsoft Azure Resource Manager
  • Amazon Web Services(AWS)
  • Google Cloud Platform(GCP)

ヒント:

サポートされるプラットフォームの一覧については、ベンダーのドキュメントを参照してください。

Active Directory統合パッケージ

Linux VDAでは、以下のActive Directory統合パッケージまたは製品がサポートされています:

  • Samba Winbind
  • Quest Authentication Services v4.1以降
  • Centrify DirectControl
  • SSSD
  • PBIS(RHEL 7およびUbuntuと互換性があります)

ヒント:

サポート対象プラットフォームの一覧については、Active Directory統合パッケージのベンダーが提供しているドキュメントを参照してください。

HDX 3D Pro

HDX 3D Proをサポートするには、以下のハイパーバイザー、およびNVIDIA GRID™ GPUが必要です。

ハイパーバイザー

  • Citrix Hypervisor
  • VMware ESXおよびESXi
  • Nutanix AHV

:ハイパーバイザーは、特定のLinuxディストリビューションと互換性があります。

GPU

以下のGPUがGPUパススルーとしてサポートされます。

  • NVIDIA GRID - Tesla T4
  • NVIDIA GTX750Ti
  • NVIDIA GRID - Tesla M60
  • NVIDIA GRID - K2
  • NVIDIA GRID - Tesla P40
  • NVIDIA GRID - Tesla P4
  • NVIDIA GRID - Tesla P100

以下のGPUがvGPUとしてサポートされます。

  • NVIDIA GRID - Tesla T4
  • NVIDIA GRID - Tesla V100
  • NVIDIA GRID - Tesla M60
  • NVIDIA GRID - Tesla M10
  • NVIDIA GRID - Tesla P40
  • NVIDIA GRID - Tesla P4
  • NVIDIA GRID - Tesla P100
システム要件